GCLOUD_COMPUTE_INSTANCES_REMOVE-LABELS(1)

NAME

gcloud compute instances remove-labels - remove labels from Google Compute Engine virtual machine instances

SYNOPSIS

gcloud compute instances remove-labels INSTANCE_NAME (--all | --labels=KEY,[KEY,...]) [--zone=ZONE] [GCLOUD_WIDE_FLAG ...]

DESCRIPTION
gcloud compute instances remove-labels removes labels from a Google Compute Engine virtual machine instance. For example, running:
    $ gcloud compute instances remove-labels example-instance \
        --labels=k0,k1
will remove existing labels with key k0 and k1 from 'example-instance'. Labels can be used to identify the instance and to filter them as in
    $ gcloud compute instances list --filter='labels.k1:value2'
To list existing labels
    $ gcloud compute instances describe example-instance \
        --format='default(labels)'

POSITIONAL ARGUMENTS

    INSTANCE_NAME
        The name of the instance to operate on.

REQUIRED FLAGS
Exactly one of these must be specified:

    --all
        Remove all labels from the resource.

    --labels=KEY,[KEY,...]
        A comma-separated list of label keys to remove from the resource.

OPTIONAL FLAGS

    --zone=ZONE
        The zone of the instance to operate on. If not specified, you may be prompted to select a zone. gcloud will attempt to identify the zone by searching for resources in your project. If the zone cannot be determined, you will then be prompted with all Google Cloud Platform zones. To avoid prompting when this flag is omitted, you can set the compute/zone property:
        $ gcloud config set compute/zone ZONE
    A list of zones can be fetched by running:
        $ gcloud compute zones list
    To unset the property, run:
        $ gcloud config unset compute/zone
    Alternatively, the zone can be stored in the environment variable CLOUDSDK_COMPUTE_ZONE.

GCLOUD WIDE FLAGS
These flags are available to all commands: --account, --configuration, --flatten, --format, --help, --log-http, --project, --quiet, --trace-token, --user-output-enabled, --verbosity. Run $ gcloud help for details.